%define name		xmldb-xupdate
%define version		0.4
%define cvs_version	20041010
%define release		0.%{cvs_version}.1jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	XML Update Language
License:	BSD style
Group:		Development/Java
Source:		xmldb-xupdate-%{cvs_version}-src.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/xmldb-org login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/xmldb-org export -D 2004-10-10 xupdate
Url:		http://xmldb-org.sourceforge.net
Requires:	xalan-j2
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
BuildRequires:	xmldb-common
Requires:	xalan-j2
Requires:	xerces-j2
Requires:	xml-commons-apis
Requires:	xmldb-common
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{cvs_version}-buildroot
Distribution:	JPackage
Vendor:		JPackage Project

%description
The mission of the XUpdate Working Group is to provide open and 
flexible update facilities to modify data in XML documents. Doing 
so it is not important where the documents come from. It can be 
real documents or virtual documents retrieved from XML databases.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n xupdate
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
pushd src
pushd lib
ln -sf $(build-classpath xalan-j2) .
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath xml-commons-apis) .
ln -sf $(build-classpath xmldb-common) .
popd
ant test dist
# two failing tests constitute known issues
popd

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 src/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr src/build/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root)
%doc src/{AUTHORS,LICENSE}
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Thu Oct 20 2005 Ralph Apel <r.apel at r-apel.de> 0:0.4-0.20041010-1jpp
- First jpackage release

